class VanillaBackprop:
    """
    Produces gradients generated with vanilla backpropagation from the image.

    Args:
       model (torch.nn.Module): the model used

    Attributes:
        model (torch.nn.Module): the model used
        gradients (torch.Tensor): the gradients at the target layer
    """
    def __init__(self, model):
        pass
    def hook_input(self, input_tensor):
        """
        Registers a forward hook to the input tensor, which saves the gradients of the input tensor.

        Args:
            input_tensor (torch.Tensor): the input tensor to hook

        Returns:
            None
        """
        return self
    def generate_gradients(self, input_image, target_class):
        """
        Generates gradients for a given input image and target class through backpropagation.

        Args:
            input_image (torch.Tensor): input image as a PyTorch tensor
            target_class (int): the class for which the images will be generated

        Returns:
            torch.Tensor: the gradients generated by backpropagation, 3xHxW (channels first) format with float values between 0-1
        """
        return self
